<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
only support these sensors
sensor_name ,  type,  description
 system_h   ,     0,  board high temperature area
 pa_0       ,     1,  major pa
 charger    ,     2,  charge ic
 usb        ,     3,  typeC usb
 cluster0   ,     4,  acpu little core
 cluster1   ,     5,  acpu middle/bigger core
 gpu        ,     6,  gpu core
 modem      ,     7,  modem(ccpu core)
 ddr        ,     8,  ddr
 battery    ,     9,  battery
 lcd        ,    10,  display screen
 tp         ,    11,  touch screen
 system_l   ,    12,  board low temperature area
 rfboard    ,    13,  mobile cool area
 wireless   ,    14,  wireless charge ic
 pa_1       ,    15,  minor pa
 dcxo_0     ,    16,  major crystal oscillator
 dcxo_1     ,    17,  minor crystal oscillator
 camera_0   ,    18,  back camera
 camera_1   ,    19,  front camera
 codec      ,    20,  codec
 charger1   ,    21,  charger1
 shell_frame,    22,  frame shell
 hisi_ambient,   23,  ambient v1.0
 hisi_ambient_v2,  24,  ambient v2.0+
 ir         ,    25,  ir
 dot        ,    26,  dot
 flash_led  ,    27,  flash led
 shell_front,    28,  front shell
 shell_back ,    29,  back shell
 usb_port   ,    30,  accurate usb
 supply_avg ,    31,  average value of battery supply
 supply_peak,    32,  peak value of battery supply
 bat_0      ,    33,  battery_0 of dual-battery
 bat_1      ,    34,  battery_1 of dual-battery
 pa_2       ,    35,  sub pa
 pa_3       ,    36,  sub pa
 pa_4       ,    37,  sub pa
 mmw_0      ,    38,  mmw major pa
 mmw_1      ,    39,  mmw minor pa
 shell_0    ,    40,  shell v3.0
 shell_1    ,    41,  shell v3.0
 shell_2    ,    42,  shell v3.0
 shell_3    ,    43,  shell v3.0
 shell_4    ,    44,  shell v3.0
 shell_5    ,    45,  shell v3.0
 cluster2   ,    46,  acpu big cpu core
 msm-therm-adc,  47,  ap zone on Qcom platform
 msm-therm  ,    48,  ap zone on Qcom platform
 chg-therm-adc,  49,  charge ic on Qcom platform
 pa-therm0  ,    50,  pa on Qcom platform
 pa_therm0  ,    51,  pa on Qcom platform
 mtktsAP    ,    52,  ap zone on mtk platform
 mtkts_chargerntc,  53,  charge ic on mtk platform
 mtktsbtsmdpa,   54,  4G pa on mtk platform
 mtkts_usbntc,   55,  usb on mtk platform
 mtktsbtsnrpa,   56,  5G pa on mtk plat
 0804 ambient parameters
-->
<thermal version="B35" product="MNA">

<sensor_temp name="ambient" type="24" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_frame" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_back" type="29" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_front" type="28" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<sensor_temp name="system_h" type="0" enable="true" min_temp="-20" step="8" to_celsius="1000">
    <thresholds>130</thresholds>
</sensor_temp>

<sensor_temp name="pa_0" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="charger" type="2" enable="true" min_temp="0" step="10" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_cover" type="45" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="rfboard" type="13" enable="true" min_temp="-30" step="60" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<ambient_calculate_coef>
    <debug>0</debug>
    <nstate>60</nstate>
    <ncalc>6</ncalc>
    <nout>5</nout>
    <deltat>5</deltat>
    <tau>400</tau>
    <epsilon>1</epsilon>
    <interval>100</interval>
    <cur_step>300</cur_step>
    <ntc_step>2000</ntc_step>
    <ntc_rate>75</ntc_rate>
    <version>30</version>
    <para_init_a>-4926.0</para_init_a>
    <para_init_b>476.6</para_init_b>
    <para_ac_a>-10270.0</para_ac_a>
    <para_ac_b>-0.07498</para_ac_b>
    <para_ac_cur>0</para_ac_cur>
    <para_dc_a>28010.0</para_dc_a>
    <para_dc_b>-0.0001526</para_dc_b>
    <para_dc_cur>-0.481</para_dc_cur>
    <temp_norm>1</temp_norm>
    <amb_max>80000</amb_max>
    <amb_min>-40000</amb_min>
    <amb_range>-40000</amb_range>
    <cur_norm>3800</cur_norm>
    <sensor_count>4</sensor_count>
    <sensor0 type="usb_port" alpha="-1.22" beta="-0.0698"/>
    <sensor1 type="rfboard" alpha="2.68" beta="0.034"/>
    <sensor2 type="system_h" alpha="0.782" beta="-0.117"/>
    <sensor3 type="charger" alpha="-1.12" beta="0.0715"/>
    <sensor_mapping hisi_name="bat_cur" mapped_node="/sys/class/hw_thermal/temp/shell_iba/exp_node"/>
    <sensor_mapping hisi_name="bat_volt" mapped_node="/sys/class/hw_thermal/temp/shell_vba/exp_node"/>
    <sensor_mapping hisi_name="bat_stat" mapped_node="/sys/class/hw_thermal/temp/shell_stat/exp_node"/>
</ambient_calculate_coef>

<shell_calculate_coef boardid="default">
    <shell_count>9</shell_count>
    <interval>5</interval>
    <tsensor_min>0</tsensor_min>
    <tsensor_max>100</tsensor_max>
    <tsensor_step>10</tsensor_step>
    <ntc_min>-20000</ntc_min>
    <ntc_max>80000</ntc_max>
    <ntc_step>2000</ntc_step>
    <temp_step_range>1000</temp_step_range>
    <temp_max_step_range>10000</temp_max_step_range>
    <shell_coef0 name="shell_front"> <!-- shell_front -->
        <bat_bias>3134</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>2591</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="ir" type="ntc" coef="10326,7340,-2357,1410,-3361,8991,13432"/>
        <sensor1 name="dot" type="ntc" coef="90883,41858,36168,37621,42842,43178,82092"/>
        <sensor2 name="charger" type="ntc" coef="-80299,-41771,-32645,-33156,-41236,-37607,-84064"/>
        <sensor3 name="pa_1" type="ntc" coef="-42490,7625,11394,991,-4997,-33631,-45412"/>
        <sensor4 name="rfboard" type="ntc" coef="184608,89224,34800,-2444,-20103,-75362,-157586"/>
        <sensor5 name="xo-therm" type="ntc" coef="6151,2977,-13644,-3125,8673,14900,70871"/>
    </shell_coef0>
    <shell_coef1 name="shell_frame"> <!-- shell_frame -->
        <bat_bias>2767</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>-1462</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="dot" type="ntc" coef="48980,18781,25985,52630,20326,33293,39136"/>
        <sensor1 name="ir" type="ntc" coef="3595,-22130,-17595,-13418,2626,1748,8745"/>
        <sensor2 name="charger" type="ntc" coef="-40879,-20779,-23085,-56691,-19562,-17789,-62198"/>
        <sensor3 name="rfboard" type="ntc" coef="262431,93341,4259,-41619,-56829,-80191,-113106"/>
        <sensor4 name="pa_0" type="ntc" coef="-3117,-6401,5877,1479,1629,-1307,11790"/>
        <sensor5 name="pa_1" type="ntc" coef="15381,32157,6597,8156,-2194,-19287,19632"/>
    </shell_coef1>
    <shell_coef2 name="shell_frame"> <!-- shell_frame1 -->
        <bat_bias>1588</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>-78</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="dot" type="ntc" coef="49753,38997,52366,37666,201,8243,-9234"/>
        <sensor1 name="ir" type="ntc" coef="140,-12275,-12684,-15552,-11707,-9824,-14141"/>
        <sensor2 name="charger" type="ntc" coef="-36963,-44269,-47515,-42816,-7857,5802,-7337"/>
        <sensor3 name="rfboard" type="ntc" coef="158941,60654,31017,-18926,-26195,-50304,-104210"/>
        <sensor4 name="pa_0" type="ntc" coef="703,5555,5333,670,10957,-701,5159"/>
        <sensor5 name="pa_1" type="ntc" coef="-469,11140,9043,21977,7876,-3277,48551"/>
    </shell_coef2>
    <shell_coef3 name="shell_back">  <!-- shell_back -->
        <bat_bias>2979</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>1664</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="dot" type="ntc" coef="-33200,-75812,-50954,-56037,-67464,-66897,-127938"/>
        <sensor1 name="system_h" type="ntc" coef="63483,-20061,-1857,15350,-4225,26769,-67841"/>
        <sensor2 name="charger" type="ntc" coef="40172,63438,65349,41383,67586,67316,130941"/>
        <sensor3 name="pa_0" type="ntc" coef="17003,5418,7680,2709,3485,174,15553"/>
        <sensor4 name="rfboard" type="ntc" coef="20856,37926,45055,31944,26751,-36247,-85873"/>
        <sensor5 name="usb_port" type="ntc" coef="2277,-7374,-564,2462,-4347,1064,-6066"/>
    </shell_coef3>
    <shell_coef4 name="shell_back">  <!-- shell_front -->
        <bat_bias>2748</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>1324</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="ir" type="ntc" coef="11809,8921,3421,6448,2214,3643,1329"/>
        <sensor1 name="dot" type="ntc" coef="6064,-1732,3751,-2331,663,5219,-502"/>
        <sensor2 name="system_h" type="ntc" coef="73495,-26894,12720,10030,-4360,31001,-43831"/>
        <sensor3 name="pa_1" type="ntc" coef="-11231,-10996,-7440,-10284,-3243,-9686,2667"/>
        <sensor4 name="rfboard" type="ntc" coef="121690,55010,26864,-2632,-20922,-44559,-71223"/>
        <sensor5 name="usb_port" type="ntc" coef="-4056,-3047,-543,-3262,-3144,-2439,-4857"/>
    </shell_coef4>
    <shell_coef5 name="shell_back">  <!-- shell_frame -->
        <bat_bias>1869</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>598</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="ir" type="ntc" coef="4345,-8857,-15452,-16574,-16784,-20251,-25709"/>
        <sensor1 name="system_h" type="ntc" coef="50734,-18160,8759,23103,-3158,12987,14131"/>
        <sensor2 name="pa_0" type="ntc" coef="16885,-5579,9777,-4506,2999,4552,-425"/>
        <sensor3 name="pa_1" type="ntc" coef="6324,26310,33253,29192,46288,60231,60980"/>
        <sensor4 name="rfboard" type="ntc" coef="71334,40160,3802,-4149,-11161,-33760,-31070"/>
        <sensor5 name="xo-therm" type="ntc" coef="-20373,-15580,-21780,-34684,-37032,-63223,-25282"/>
    </shell_coef5>
    <shell_coef6 name="shell_frame">  <!-- shell_frame2 -->
        <bat_bias>2862</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>-500</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="dot" type="ntc" coef="-1264,-53364,-34021,-23564,-19254,-28517,-621"/>
        <sensor1 name="ir" type="ntc" coef="-14030,-14308,-24224,-10809,246,1711,14840"/>
        <sensor2 name="charger" type="ntc" coef="1133,50035,34778,19674,14743,34718,-21993"/>
        <sensor3 name="rfboard" type="ntc" coef="265543,92046,16828,-51969,-58416,-98949,-121174"/>
        <sensor4 name="pa_0" type="ntc" coef="15644,-1697,12465,3039,9630,13373,10224"/>
        <sensor5 name="pa_1" type="ntc" coef="36970,17223,19742,5231,-485,-14542,-1423"/>
    </shell_coef6>
    <shell_coef7 name="shell_front"> <!-- frame -->
        <bat_bias>2817</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>3806</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="ir" type="ntc" coef="17625,11174,6524,5839,1224,12112,10526"/>
        <sensor1 name="dot" type="ntc" coef="75556,32029,39333,38911,39456,54104,94437"/>
        <sensor2 name="charger" type="ntc" coef="-70517,-29753,-36490,-34436,-35980,-50671,-96251"/>
        <sensor3 name="pa_1" type="ntc" coef="-72964,-30424,-6724,-4244,-12648,-25894,-60293"/>
        <sensor4 name="rfboard" type="ntc" coef="151256,86659,36101,3315,-9180,-74419,-157594"/>
        <sensor5 name="xo-therm" type="ntc" coef="64585,18041,-3488,-2359,3862,6440,95354"/>
    </shell_coef7>
    <shell_coef8 name="shell_front"> <!-- back -->
        <bat_bias>3246</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>-14531</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="ir" type="ntc" coef="9299,14870,15296,9313,13721,-1361,-2751"/>
        <sensor1 name="charger" type="ntc" coef="15544,-5678,2289,-2700,1076,13268,-36582"/>
        <sensor2 name="pa_1" type="ntc" coef="-156031,-157241,-48650,-39995,307,52033,178712"/>
        <sensor3 name="rfboard" type="ntc" coef="826637,400741,124911,-69340,-183078,-351806,-498062"/>
        <sensor4 name="xo-therm" type="ntc" coef="272081,147807,32140,11833,-37186,-52376,-215591"/>
        <sensor5 name="usb_port" type="ntc" coef="-32652,-15422,-13098,-24246,10585,-19865,-52572"/>
    </shell_coef8>
</shell_calculate_coef>
</thermal>
